gr::satellites::nrzi_encode_impl Class Reference

`#include <nrzi_encode_impl.h>`

Inheritance diagram for gr::satellites::nrzi_encode_impl:
[legend]

## Public Member Functions

| nrzi_encode_impl ()
| ~nrzi_encode_impl ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::satellites::nrzi_encode
typedef boost::shared_ptr< nrzi_encode > | sptr
Static Public Member Functions inherited from gr::satellites::nrzi_encode
static sptr | make ()
| Return a shared_ptr to a new instance of satellites::nrzi_encode. More...

## Constructor & Destructor Documentation

## nrzi_encode_impl()

gr::satellites::nrzi_encode_impl::nrzi_encode_impl | ( |  | ) |

## ~nrzi_encode_impl()

gr::satellites::nrzi_encode_impl::~nrzi_encode_impl | ( |  | ) |

## Member Function Documentation

## work()

int gr::satellites::nrzi_encode_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- nrzi_encode_impl.h